Name:           lorax-templates-almalinux
Version:        10.0
Release:        56%{?dist}.alma.2
Summary:        AlmaLinux 10 build templates for lorax and livemedia-creator

License:        GPLv2+
URL:            https://github.com/weldr/lorax
BuildArch:      noarch

# This tarball is generated from the contents of this dist-git repository
# by running the command `make tar`.
# See README for full details of how to update this package
Source0:        lorax-templates-rhel-10.0-56.tar.gz

# Required for the template branding support
Requires:       lorax >= 34.9.1

Provides: lorax-templates = %{version}-%{release}

Patch0001: 0001-Correct-grammar-in-Grub-rescue-menu-entries.patch

# Where are these supposed to end up?
%define templatedir %{_datadir}/lorax/templates.d/70-almalinux

%description
RHEL-specific Lorax templates for creating the boot.iso and live isos are
placed in %{templatedir}

%prep
%setup -n lorax-templates-rhel-%{version}

%%patch0001 -p1

# Do not try to install packages not available in AlmaLinux
sed -i '/libreport-rhel-anaconda-bugzilla/d' 80-rhel/runtime-install.tmpl
sed -i '/redhat-release-eula/d' 80-rhel/runtime-install.tmpl

%build
# nothing to build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{templatedir}
cp -a 80-rhel/* $RPM_BUILD_ROOT/%{templatedir}

%files
%dir %{templatedir}
%{templatedir}/*

%changelog
* Wed Apr 02 2025 Yuriy Kohut <ykohut@almalinux.org> - 10.0-56.alma.2
- Correct grammar in Grub rescue menuentries

* Wed Mar 12 2025 Eduard Abdullin <eabdullin@almalinux.org> - 10.0-56.alma.1
- runtime-cleanup: Leave the stat binary (bcl)

* Tue Dec 10 2024 Eduard Abdullin <eabdullin@almalinux.org> - 10.0-55.alma.1
- Update to 10.0-55

* Fri Sep 13 2024 Eduard Abdullin <eabdullin@almalinux.org> - 10.0-52.alma.1
- Add configuration for AlmaLinux 10 x86_64_v2

* Wed Aug 21 2024 Eduard Abdullin <eabdullin@almalinux.org> - 10.0-52
- Initial build for AlmaLinux 10 
